Bug 612865

Summary: changing tuned profile breaks libvirt networking, reloads sysctl settings
Product: [Fedora] Fedora Reporter: Jan Vcelak <jvcelak>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 17CC: berrange, clalance, crobinso, itamar, jforbes, laine, tsmetana, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 612867 (view as bug list) Environment:
Last Closed: 2012-06-07 17:27:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jan Vcelak 2010-07-09 05:21:31 EDT
Description of problem:

Switching tuned profile using 'tuned-adm' causes restarting of ktune and loading of /etc/sysctl.conf file. This may change sysctl net.ipv4.ip_forward option and break networking in virtual machines.

By default, net.ipv4.ip_forward is disabled in sysctl.conf. libvirt enables this settings without changing /etc/sysctl.conf. The change should be done in /etc/sysctl.conf as well.

Version-Release number of selected component (if applicable):
libvirt-0.7.7-5.fc13

Steps to Reproduce:

# sysctl net.ipv4.ip_forward
net.ipv4.ip_forward = 1
# tuned-adm profile default
Switching to profile 'default'
Applying ktune sysctl settings:
/etc/ktune.d/tunedadm.conf:                                [  OK  ]
Applying sysctl settings from /etc/sysctl.conf
Starting tuned:                                            [  OK  ]
# sysctl net.ipv4.ip_forward
net.ipv4.ip_forward = 0
Comment 2 Jan Vcelak 2010-07-09 05:37:31 EDT
The same in Rawhide: libvirt-0.8.2-1.fc14.x86_64
Comment 3 Laine Stump 2010-10-04 13:34:05 EDT
This was cloned against RHEL6 as Bug 612867, which was previously documented here only as an (erroneous) dependency. I've just removed the dependency.
Comment 4 Bug Zapper 2011-06-01 10:21:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Laine Stump 2011-06-03 00:21:19 EDT
Changing version to 15, as this is still a problem and shouldn't get lost.

Please see the recent notes in Bug 612867 - the firewall management package is now available in F15, but its current functionality is inadequate for libvirt (in particular, its config isn't persistent - if the firewall manager is stopped and restarted, all state is lost).
Comment 6 Fedora Admin XMLRPC Client 2011-09-22 13:53:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-09-22 13:57:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:04:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 15:04:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-11-30 15:08:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-11-30 15:09:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Cole Robinson 2012-06-06 20:01:29 EDT
I assume this is still relevant, so moving to F15. Though this should probably be consolidated into a big 'make libvirt work with firewalld' bug.
Comment 13 Cole Robinson 2012-06-07 17:27:12 EDT
Actually given that this bug has just lingered for a long time, and it's a repeat of our age old networking issues, closing as WONTFIX for F17. We should hopefully resolve this for F18